Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDERRORschemes

    java.lang.Object
      java.lang.Enum<CDERRORschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDERRORschemes

All Implemented Interfaces:
  Serializable, Comparable<CDERRORschemes>

    public enum CDERRORschemes

extends Enum<CDERRORschemes>

Java class for CD-ERRORschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ERRORschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-ERROR"/>
         <enumeration value="LOCAL"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_ERROR`
`LOCAL`

Method Summary
`static CDERRORschemes` | `fromValue(String v)`
`String` | `value()`
`static CDERRORschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDERRORschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_ERROR

    public static final CDERRORschemes CD_ERROR

### LOCAL

    public static final CDERRORschemes LOCAL

Method Detail

### values

    public static CDERRORschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDERRORschemes c : CDERRORschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDERRORschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDERRORschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.